# JSDoc: Class: QuestHandler

# Class: QuestHandler

## QuestHandler(options)

#### new QuestHandler(options)

A Trial Handler that implements the Quest algorithm for quick measurement of psychophysical thresholds. QuestHandler relies on the jsQuest library, a port of Prof Dennis Pelli's QUEST algorithm by Daiichiro Kuroki.

##### Parameters:

Name | Type | Description
--- | --- | ---

`options`

Object

the handler options

###### Properties

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`psychoJS` | module:core.PsychoJS |  |  | the PsychoJS instance
`varName` | string |  |  | the name of the variable / intensity / contrast / threshold manipulated by QUEST
`startVal` | number |  |  | initial guess for the threshold
`startValSd` | number |  |  | standard deviation of the initial guess
`minVal` | number |  |  | minimum value for the threshold
`maxVal` | number |  |  | maximum value for the threshold
`pThreshold` | number | <optional> | 0.82 | threshold criterion expressed as probability of getting a correct response
`nTrials` | number |  |  | maximum number of trials
`stopInterval` | number |  |  | minimum [5%, 95%] confidence interval required for the loop to stop
`method` | module:data.QuestHandler.Method |  |  | the QUEST method
`beta` | number | <optional> | 3.5 | steepness of the QUEST psychometric function
`delta` | number | <optional> | 0.01 | fraction of trials with blind responses
`gamma` | number | <optional> | 0.5 | fraction of trails that would generate a correct response when the threshold is infinitely small
`grain` | number | <optional> | 0.01 | quantization of the internal table
`name` | string |  |  | name of the handler
`autoLog` | boolean | <optional> | false | whether or not to log

Source:
  - data/QuestHandler.js, line 14

### Extends

- TrialHandler